<script>
// import VariantableMixin from '@/context/vue/mixins/variantable'
import Toast from '../Toast' // Map class

/**
 * **BaseToast** component
 */
export default {
  name: 'BaseToast',
  mixins: [
    // VariantableMixin
  ],
  props: {
    /**
     * toast
     */
    toast: {
      type: Toast,
      default: null
    },
    /**
     * noClose
     */
    noClose: {
      type: Boolean,
      default: false
    }
  },
  methods: {
    /**
     * Delete the toast
     * @returns {void}
     */
    deleteToast () {
      this.toast.delete()
    }
  }
}
</script>

<!-- <style lang="scss">
  ._toast-container {
    z-index: 2;

    ._toast {
      // ...

      ._toast-close-icon-wrapper {
        // ...

        ._toast-close-icon {
          // ...
        }
      }
    }
  }
</style> -->
